Copy a table to an array

- « pg_copy_from

- pg_dbname »

- PHP Manual
- PostgreSQL Functions
- Copy a table to an array

# pg_copy_to

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

pg_copy_to — Copy a table to an array

### Description

pg_copy_to(
PgSql\Connection `$connection`,
string `$table_name`,
string `$separator` = "\t",
string `$null_as` = "\\\\N"
): array|false

pg_copy_to() copies a table to an array. It issues `COPY TO` SQL command internally to retrieve records.

### Parameters

`connection`

  An PgSql\Connection instance.

`table_name`

  Name of the table from which to copy the data into `rows`.

`separator`

  The token that separates values for each field in each element of `rows`. Default is `\t`.

`null_as`

  How SQL `NULL` values are represented in the `rows`. Default is `\\N` (`"\\\\N"`).

### Return Values

An array with one element for each line of `COPY` data, or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `connection` parameter expects an PgSql\Connection instance now; previously, a resource was expected.

### Examples

Example #1 pg_copy_to() example

    <?php
       $db = pg_connect("dbname=publisher") or die("Could not connect");

       $rows = pg_copy_to($db, $table_name);

       pg_query($db, "DELETE FROM $table_name");

       pg_copy_from($db, $table_name, $rows);
    ?>

### See Also

- pg_copy_from() - Insert records into a table from an array